SDL_HINT_GAMECONTROLLERTYPE(3)

NAME
SDL_HINT_GAMECONTROLLERTYPE - A variable that overrides the automatic controller type detection.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_GAMECONTROLLERTYPE SDL_GAMECONTROLLERTYPE"

DESCRIPTION
The variable should be comma separated entries, in the form: VID/PID=type

The VID and PID should be hexadecimal with exactly 4 digits, e.g. 0x00fd

This hint affects what low level protocol is used with the HIDAPI driver.

The variable can be set to the following values:

• "Xbox360"

• "XboxOne"

• "PS3"

• "PS4"

• "PS5"

• "SwitchPro"

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.